package com.ozs.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author : sunhh
 * @create 2023/4/24 11:02
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("相机版本管理表")
public class BaseCameraVersion {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 版本号
     */
    private String versionNum;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 升级类型 1:算法升级,2:硬件升级,3:算法及硬件升级
     */
    private String upgradeType;

    /**
     * 版本地址
     */
    private String versionAddress;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * md5值
     */
    private String md5;
}
