package com.ozs.web.controller.mqtt;

import com.ozs.common.annotation.Log;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.enums.BusinessType;
import com.ozs.service.utils.PublishClient;
import com.ozs.service.utils.SubscribeClient;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/service/mqtt")
@Slf4j
public class MqttController {

    @ApiOperation(value = "设备心跳")
    @GetMapping("/deviceHeartbeat")
    @Log(title = "MQTT", businessType = BusinessType.SELECT)
    public AjaxResult selectCameraAll() {
        new SubscribeClient("heart", "heart").start();
        return AjaxResult.success();
    }


    @ApiOperation(value = "置信度修改")
    @GetMapping("/confidenceCoefficient")
    @Log(title = "MQTT", businessType = BusinessType.SELECT)
    public AjaxResult confidenceCoefficient() {
        PublishClient.confidenceCoefficient("42010001541320000024");
        new SubscribeClient("config", "config").start();
        return AjaxResult.success();
    }
}
